Skip to main content
GET
/
liquidity
/
protocol
/
{protocol}
/
fees
curl --request GET \
  --url 'https://api.sprinter.tech/liquidity/protocol/{protocol}/fees' \
  --header 'X-Auth-Token: YOUR_API_KEY'
{
  "data": [
    {
      "feeBps": 5,
      "minAmount": 0,
      "maxAmount": 100000000000
    },
    {
      "feeBps": 3,
      "minAmount": 100000000000,
      "maxAmount": 1000000000000
    }
  ]
}
curl --request GET \
  --url 'https://api.sprinter.tech/liquidity/protocol/{protocol}/fees' \
  --header 'X-Auth-Token: YOUR_API_KEY'
{
  "data": [
    {
      "feeBps": 5,
      "minAmount": 0,
      "maxAmount": 100000000000
    },
    {
      "feeBps": 3,
      "minAmount": 100000000000,
      "maxAmount": 1000000000000
    }
  ]
}

Authorizations

X-Auth-Token
string
header
required

Path Parameters

protocol
string
required

Protocol name

Query Parameters

srcChain
string
required

Source chain CAIP ID (e.g. \

dstChain
string
required

Destination chain CAIP ID

srcToken
string
required

Source token symbol or address

dstToken
string
required

Destination token symbol or address

Response

OK

data
object[]
required